Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.common.hosts
Class ConsoleHostKeyVerification

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          com.sshtools.common.hosts.AbstractHostKeyVerification
              com.sshtools.common.hosts.ConsoleHostKeyVerification

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, HostKeyVerification

public class ConsoleHostKeyVerification
extends AbstractHostKeyVerification

DOCUMENT ME!

Constructor Summary
`ConsoleHostKeyVerification()` Creates a new ConsoleHostKeyVerification object.
`ConsoleHostKeyVerification(java.lang.String hostFile)` Creates a new ConsoleHostKeyVerification object.

Method Summary
`void` | `onDeniedHost(java.lang.String hostname)` DOCUMENT ME!
`void` | `onHostKeyMismatch(java.lang.String host, java.lang.String fingerprint, java.lang.String actual)` DOCUMENT ME!
`void` | `onUnknownHost(java.lang.String host, java.lang.String fingerprint)` DOCUMENT ME!

Methods inherited from class com.sshtools.common.hosts.AbstractHostKeyVerification
`allowedHosts, allowHost, deniedHosts, denyHost, endElement, isHostFileWriteable, removeAllowedHost, removeDeniedHost, saveHostFile, startElement, toString, verifyHost`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConsoleHostKeyVerification

    public ConsoleHostKeyVerification()
                               throws InvalidHostFileException

  Creates a new ConsoleHostKeyVerification object.

Throws:
  `InvalidHostFileException` - DOCUMENT ME!

### ConsoleHostKeyVerification

    public ConsoleHostKeyVerification(java.lang.String hostFile)
                               throws InvalidHostFileException

  Creates a new ConsoleHostKeyVerification object.

Parameters:
  `hostFile` - DOCUMENT ME!
Throws:
  `InvalidHostFileException` - DOCUMENT ME!

Method Detail

### onDeniedHost

    public void onDeniedHost(java.lang.String hostname)

  DOCUMENT ME!

  Specified by:
    `onDeniedHost` in class `AbstractHostKeyVerification`
  Parameters:
    `hostname` - DOCUMENT ME!

### onHostKeyMismatch

    public void onHostKeyMismatch(java.lang.String host,
                                  java.lang.String fingerprint,
                                  java.lang.String actual)

  DOCUMENT ME!

  Specified by:
    `onHostKeyMismatch` in class `AbstractHostKeyVerification`
  Parameters:
    `host` - DOCUMENT ME!
    `fingerprint` - DOCUMENT ME!
    `actual` - DOCUMENT ME!

### onUnknownHost

    public void onUnknownHost(java.lang.String host,
                              java.lang.String fingerprint)

  DOCUMENT ME!

  Specified by:
    `onUnknownHost` in class `AbstractHostKeyVerification`
  Parameters:
    `host` - DOCUMENT ME!
    `fingerprint` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD